### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.publish

# Interface ServiceResultSetMetaDataInterface

All Superinterfaces:
  `ResultSetMetaData`, `Wrapper`

@SASScope("ALL") @BinaryCompatibilityOnly public interface ServiceResultSetMetaDataInterface extends ResultSetMetaData
The ServiceResultSetMetaDataInterface provides a mechanism for getting the information about the types and properties of the columns in a ResultSet object. It provides a way to obtain SAS Format information as well.

- ## Field Summary

  ### Fields inherited from interface java.sql.ResultSetMetaData

  `columnNoNulls, columnNullable, columnNullableUnknown`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getFormatFieldLength(int column)`
  Returns the length of the format field.
  `String`
  `getFormatName(int column)`
  Returns the name of the format.
  `int`
  `getRowCount()`
  Returns the number of rows.

  ### Methods inherited from interface java.sql.ResultSetMetaData

  `getCatalogName, getColumnClassName, getColumnCount, getColumnDisplaySize, getColumnLabel, getColumnName, getColumnType, getColumnTypeName, getPrecision, getScale, getSchemaName, getTableName, isAutoIncrement, isCaseSensitive, isCurrency, isDefinitelyWritable, isNullable, isReadOnly, isSearchable, isSigned, isWritable`

  ### Methods inherited from interface java.sql.Wrapper

  `isWrapperFor, unwrap`

- ## Method Details

  - ### getFormatName

    String getFormatName(int column) throws SQLException
    Returns the name of the format.
    Returns:
      the name of the SAS format
    Throws:
      `SQLException` - if an error occurs

  - ### getFormatFieldLength

    int getFormatFieldLength(int column) throws SQLException
    Returns the length of the format field.
    Returns:
      the length of the format field
    Throws:
      `SQLException` - if an error occurs

  - ### getRowCount

    int getRowCount() throws SQLException
    Returns the number of rows.
    Returns:
      the number of rows in the ResultSet
    Throws:
      `SQLException` - if an error occurs